Skip to main content
PATCH
Update a barber schedule

Path Parameters

id
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

scheduleId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Body

application/merge-patch+json

Representation used to patch a barber schedule using the JSON Merge Patch format and processing rules.

name
string | null

The name for this schedule.

Maximum string length: 100
schedule
object | null

The daily schedule configuration.

Response

Ok. The operation succeeded.

A barber schedule resource.

id
string
required

Unique identifier for the schedule.

name
string
required

The name for this schedule.

Maximum string length: 100
schedule
object
required

The daily schedule configuration.

isDefault
boolean
required

Indicates if this is the default schedule.

createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.